---
title: "LS1 Accountancy Practices & Registered Office Directory | ReguLex UK"
source_url: "https://regulex.uk/directory/postcode/LS1"
canonical_url: "https://regulex.uk/directory/postcode/LS1"
retrieved_by: "AnswerRail Edge Engine v1.1.0-parity-v20 (https://answerrail.com)"
provenance: "Compiled for deterministic AI retrieval by AnswerRail Edge (RFC 9110 / RFC 9421)"
description: "Statutory compliance registry for postal area LS1. Monitoring 225 accountancy practices and 15,285 co-located client companies against London Gazette strike-off notices and ECCTA 2023 mandates."
rfc_compliance: "RFC 9110 / RFC 9309 / RFC 9421"
version: "1.1.0"
release_version: "v1.1.0-parity-v20"
signing_kid: "ar_ed25519_2026_k1"
jwks_uri: "https://answerrail.com/.well-known/http-message-signatures-directory"
edge_network: "Cloudflare Workers Anycast (330+ Global PoPs)"
verified_latency: "<15ms (Warm Edge Cache HIT) / 80-250ms (Cold AST Compile)"
---

> **Canonical Source:** [https://regulex.uk/directory/postcode/LS1](https://regulex.uk/directory/postcode/LS1)
>
> *Statutory compliance registry for postal area LS1. Monitoring 225 accountancy practices and 15,285 co-located client companies against London Gazette strike-off notices and ECCTA 2023 mandates.*

## Appointed & Monitored Practices in LS1

| # | Practice Name & Address | Co-Located Portfolio | Statutory Status | Action |
| :--- | :--- | :--- | :--- | :--- |
| 1 | [A9APA LIMITED](https://regulex.uk/practice/dashboard?crn=06206171) CRN: 06206171 • LS19 7EW | 960 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=06206171) |
| 2 | [HUNTFILM LIMITED](https://regulex.uk/practice/dashboard?crn=04987418) CRN: 04987418 • LS15 8ZB | 470 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=04987418) |
| 3 | [THOMAS COOMBS LIMITED](https://regulex.uk/practice/dashboard?crn=08191791) CRN: 08191791 • LS15 8ZB | 470 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=08191791) |
| 4 | [TILLY'S HOUSE LIMITED](https://regulex.uk/practice/dashboard?crn=06922795) CRN: 06922795 • LS15 8ZB | 470 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=06922795) |
| 5 | [BUCKLE BARTON LIMITED](https://regulex.uk/practice/dashboard?crn=09870824) CRN: 09870824 • LS18 5BJ | 443 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=09870824) |
| 6 | [BROWN BUTLER LIMITED](https://regulex.uk/practice/dashboard?crn=10916906) CRN: 10916906 • LS1 2JT | 390 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=10916906) |
| 7 | [ALL DAY ACCOUNTANTS LTD](https://regulex.uk/practice/dashboard?crn=09787173) CRN: 09787173 • LS1 2HL | 370 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=09787173) |
| 8 | [FUTURE FINANCE ACCOUNTING LTD](https://regulex.uk/practice/dashboard?crn=12083790) CRN: 12083790 • LS1 2HL | 370 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=12083790) |
| 9 | [HERMIT BUSINESS SOLUTIONS LIMITED](https://regulex.uk/practice/dashboard?crn=11191132) CRN: 11191132 • LS1 2HL | 370 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=11191132) |
| 10 | [IMPALA ACCOUNTANCY LIMITED](https://regulex.uk/practice/dashboard?crn=11374158) CRN: 11374158 • LS12 4JG | 288 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=11374158) |
| 11 | [AAB AUDIT & ACCOUNTANCY LIMITED](https://regulex.uk/practice/dashboard?crn=03475109) CRN: 03475109 • LS1 2JG | 269 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=03475109) |
| 12 | [BEECH BUSINESS SERVICES LIMITED](https://regulex.uk/practice/dashboard?crn=04512652) CRN: 04512652 • LS1 2JG | 269 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=04512652) |
| 13 | [ACCOUNTING4CREATORS LTD](https://regulex.uk/practice/dashboard?crn=14639198) CRN: 14639198 • LS1 4AP | 257 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=14639198) |
| 14 | [KIRK NEWSHOLME LTD](https://regulex.uk/practice/dashboard?crn=03492421) CRN: 03492421 • LS15 8GB | 248 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=03492421) |
| 15 | [DBL BUSINESS SERVICES LTD](https://regulex.uk/practice/dashboard?crn=15289143) CRN: 15289143 • LS19 7RE | 234 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=15289143) |
| 16 | [DEACON BASRA CONSULTANTS LIMITED](https://regulex.uk/practice/dashboard?crn=07823634) CRN: 07823634 • LS19 7RE | 234 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=07823634) |
| 17 | [YORKSHIRE COMPANY ACCOUNTANTS LIMITED](https://regulex.uk/practice/dashboard?crn=10132493) CRN: 10132493 • LS18 4JR | 229 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=10132493) |
| 18 | [CORNERSTONE ACCOUNTANCY (LEEDS) LTD](https://regulex.uk/practice/dashboard?crn=13899688) CRN: 13899688 • LS16 6QY | 219 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=13899688) |
| 19 | [RICHARD SMEDLEY LIMITED](https://regulex.uk/practice/dashboard?crn=04735706) CRN: 04735706 • LS16 6QY | 219 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=04735706) |
| 20 | [S2 ACCOUNTANCY LIMITED](https://regulex.uk/practice/dashboard?crn=14888704) CRN: 14888704 • LS16 6QY | 219 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=14888704) |
| 21 | [ACT FINANCE LIMITED](https://regulex.uk/practice/dashboard?crn=07652121) CRN: 07652121 • LS15 4LG | 218 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=07652121) |
| 22 | [GAINES ROBSON INSOLVENCY LTD.](https://regulex.uk/practice/dashboard?crn=09339894) CRN: 09339894 • LS15 4LG | 218 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=09339894) |
| 23 | [IRONBRIDGE INTERNATIONAL LIMITED](https://regulex.uk/practice/dashboard?crn=07015432) CRN: 07015432 • LS15 4LG | 218 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=07015432) |
| 24 | [NORTHERN STAR ACCOUNTS LTD](https://regulex.uk/practice/dashboard?crn=16200494) CRN: 16200494 • LS15 4LG | 218 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=16200494) |
| 25 | [NOT JUST NUMBERS LIMITED](https://regulex.uk/practice/dashboard?crn=07631667) CRN: 07631667 • LS15 4LG | 218 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=07631667) |
| 26 | [SQUARED AWAY BOOKKEEPING SERVICES LIMITED](https://regulex.uk/practice/dashboard?crn=08461436) CRN: 08461436 • LS15 4LG | 218 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=08461436) |
| 27 | [ZENOCIOUS LTD](https://regulex.uk/practice/dashboard?crn=09305192) CRN: 09305192 • LS15 4LG | 218 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=09305192) |
| 28 | [ASHFORDS ACCOUNTANTS LTD](https://regulex.uk/practice/dashboard?crn=11869368) CRN: 11869368 • LS11 8LQ | 196 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=11869368) |
| 29 | [WRN INVESTMENTS LIMITED](https://regulex.uk/practice/dashboard?crn=13466759) CRN: 13466759 • LS11 8LQ | 196 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=13466759) |
| 30 | [TOMUREL CONSULTING LTD](https://regulex.uk/practice/dashboard?crn=11453670) CRN: 11453670 • LS17 8RE | 179 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=11453670) |
| 31 | [MAK ACCOUNTING LTD.](https://regulex.uk/practice/dashboard?crn=11198124) CRN: 11198124 • LS1 5QS | 171 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=11198124) |
| 32 | [SYERS MCGILL LIMITED](https://regulex.uk/practice/dashboard?crn=12401689) CRN: 12401689 • LS18 4AW | 168 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=12401689) |
| 33 | [MOLLER PIPE LIMITED](https://regulex.uk/practice/dashboard?crn=03440652) CRN: 03440652 • LS1 3HB | 157 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=03440652) |
| 34 | [STRADA ACCOUNTANTS LTD](https://regulex.uk/practice/dashboard?crn=16561958) CRN: 16561958 • LS18 4DH | 145 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=16561958) |
| 35 | [SW&P LTD](https://regulex.uk/practice/dashboard?crn=09887984) CRN: 09887984 • LS18 4DH | 145 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=09887984) |
| 36 | [BLENHEIM ADVISORY LIMITED](https://regulex.uk/practice/dashboard?crn=12995591) CRN: 12995591 • LS18 4TJ | 136 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=12995591) |
| 37 | [TC MURRAY HARCOURT LIMITED](https://regulex.uk/practice/dashboard?crn=13850243) CRN: 13850243 • LS1 2TW | 126 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=13850243) |
| 38 | [FLETCHER & GILL LTD](https://regulex.uk/practice/dashboard?crn=16936453) CRN: 16936453 • LS1 3AJ | 116 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=16936453) |
| 39 | [MOONSTONE ACCOUNTING LIMITED](https://regulex.uk/practice/dashboard?crn=17037854) CRN: 17037854 • LS1 3AJ | 116 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=17037854) |
| 40 | [PAULART ACCOUNTING & TAX SERVICES LTD](https://regulex.uk/practice/dashboard?crn=13435499) CRN: 13435499 • LS1 3AJ | 116 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=13435499) |
| 41 | [WHITESIDE LIMITED](https://regulex.uk/practice/dashboard?crn=05329064) CRN: 05329064 • LS18 5AZ | 107 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=05329064) |
| 42 | [CHAMBERS ACCOUNTANTS LTD](https://regulex.uk/practice/dashboard?crn=09179820) CRN: 09179820 • LS1 2BH | 104 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=09179820) |
| 43 | [CAD ACCOUNTING LTD](https://regulex.uk/practice/dashboard?crn=08067501) CRN: 08067501 • LS15 4TA | 101 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=08067501) |
| 44 | [M&J LOVETT LTD](https://regulex.uk/practice/dashboard?crn=14106943) CRN: 14106943 • LS15 4TA | 101 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=14106943) |
| 45 | [JCFH LTD](https://regulex.uk/practice/dashboard?crn=13152004) CRN: 13152004 • LS16 6AA | 99 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=13152004) |
| 46 | [TEMPORAL LENNON & COMPANY LIMITED](https://regulex.uk/practice/dashboard?crn=04626455) CRN: 04626455 • LS16 6AA | 99 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=04626455) |
| 47 | [TLC PAYROLL SOLUTIONS LIMITED](https://regulex.uk/practice/dashboard?crn=10045469) CRN: 10045469 • LS16 6AA | 99 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=10045469) |
| 48 | [DWCO LIMITED](https://regulex.uk/practice/dashboard?crn=13395178) CRN: 13395178 • LS1 4BN | 91 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=13395178) |
| 49 | [DWILKINSON&COMPANY LIMITED](https://regulex.uk/practice/dashboard?crn=15587081) CRN: 15587081 • LS1 4BN | 91 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=15587081) |
| 50 | [BPR HOLDINGS LIMITED](https://regulex.uk/practice/dashboard?crn=11604628) CRN: 11604628 • LS19 7XY | 89 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=11604628) |

### Key Commercial Postcode Clusters

---

## 🏛️ AI Ingestion & Edge Optimization Provenance
This sovereign authority subpage is compiled and delivered across 330+ Cloudflare Anycast edge locations by [AnswerRail](https://answerrail.com) for [https://regulex.uk/directory/postcode/LS1](https://regulex.uk/directory/postcode/LS1).
